IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPS_SCHEDULEDATA')
 CREATE TABLE T_MPS_SCHEDULEDATA (
	FID BIGINT DEFAULT 0 NOT NULL,
	FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
	FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
	FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT DEFAULT 0 NOT NULL,
	FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
	FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME,
	FMODIFYTIME DATETIME,
	FMASTERID BIGINT DEFAULT 0 NOT NULL,
	FORG BIGINT DEFAULT 0 NOT NULL,
	FSOURCEBILLTYPE BIGINT DEFAULT 0 NOT NULL,
	FSOURCEBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
	FENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
	FMATERIEL BIGINT DEFAULT 0 NOT NULL,
	FCONFIGURECODE BIGINT DEFAULT 0 NOT NULL,
	FTRACKNUMBER BIGINT DEFAULT 0 NOT NULL,
	FWORKCENTRE BIGINT DEFAULT 0 NOT NULL,
	FADMIN BIGINT DEFAULT 0 NOT NULL,
	FDEMANDDATE DATETIME,
    FTOTALWORKCENTER BIGINT DEFAULT 0 NOT NULL,
    FORDERPOOLID BIGINT DEFAULT 0 NOT NULL,
    FBAILEDORG BIGINT DEFAULT 0 NOT NULL,
	FUNIT BIGINT DEFAULT 0 NOT NULL,
	FORDERQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
	FREMARK VARCHAR(500) DEFAULT ' ' NOT NULL,
	FPLSQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
    FARRANGEDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
    FMATEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
    FPRODUCEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
    FWAREHOUSINGQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
    FSCHEDUSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
    FABNORMAL CHAR(1) DEFAULT '0' NOT NULL,
    FACCESS CHAR(1) DEFAULT '0' NOT NULL,
    FACCESSDATE DATETIME,
    FRETURNDATE DATETIME,
    FSCHEDULEDATE DATETIME,
    FAUXILIARY BIGINT DEFAULT 0 NOT NULL,
    FGROUP BIGINT DEFAULT 0 NOT NULL,
    FRETURNREASON VARCHAR(2000) DEFAULT ' ' NOT NULL,
    FCHECKRESULT VARCHAR(50) DEFAULT ' ' NOT NULL,
	FEXCEPTION VARCHAR(50) DEFAULT ' ' NOT NULL,
    FPLANPROGRAM BIGINT DEFAULT 0 NOT NULL,
	FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
	FSOURCEENTRYID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPS_SCHEDULEDATA_L') 
 CREATE TABLE T_MPS_SCHEDULEDATA_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(155) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPS_SCHEDULEDATAENTRY')
CREATE TABLE T_MPS_SCHEDULEDATAENTRY (
  FID BIGINT DEFAULT 0 NOT NULL,
  FENTRYID BIGINT DEFAULT 0 NOT NULL,
  FSEQ INT DEFAULT 0 NOT NULL,
  FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
  FSOURCEENTRYID BIGINT DEFAULT 0 NOT NULL,
  FDEMANDDATE DATETIME,
  FSOURCEBILLTYPE BIGINT DEFAULT 0 NOT NULL,
  FSOURCEBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
  FENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
  FMATERIEL BIGINT DEFAULT 0 NOT NULL,
  FCONFIGURECODE BIGINT DEFAULT 0 NOT NULL,
  FTRACKNUMBER BIGINT DEFAULT 0 NOT NULL,
  FAUXILIARY BIGINT DEFAULT 0 NOT NULL,
  FBILSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
  FDEMANDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
  FSPLITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);