EXEC P_ALTERPK 'PK_MPS_PROPLANWORKENTRY', 'T_MPS_PROPLANWORKENTRY', 'FENTRYID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPS_PROPLANWORKENTRY') CREATE INDEX IDX_MPS_PROPLANWORKENTRY ON T_MPS_PROPLANWORKENTRY ( FID ,FSEQ );

EXEC P_ALTERPK 'PK_MPS_CAPACITYDEF', 'T_MPS_CAPACITYDEF', 'FID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPS_CAPACITYDEF') CREATE INDEX IDX_MPS_CAPACITYDEF ON T_MPS_CAPACITYDEF ( FCREATEORGID ,FNUMBER );

EXEC P_ALTERPK 'PK_MPS_CAPACITYDEF_L', 'T_MPS_CAPACITYDEF_L', 'FPKID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPS_CAPACITYDEF_L') CREATE INDEX IDX_MPS_CAPACITYDEF_L ON T_MPS_CAPACITYDEF_L ( FID ,FLOCALEID );

EXEC P_ALTERPK 'PK_MPS_CAPACITYDEFENTRY', 'T_MPS_CAPACITYDEFENTRY', 'FENTRYID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPS_CAPACITYDEFENTRY') CREATE INDEX IDX_MPS_CAPACITYDEFENTRY ON T_MPS_CAPACITYDEFENTRY ( FID ,FSEQ );

EXEC P_ALTERPK 'PK_MPS_INTENSIVE', 'T_MPS_INTENSIVE', 'FID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPS_INTENSIVE') CREATE INDEX IDX_MPS_INTENSIVE ON T_MPS_INTENSIVE ( FCREATEORGID ,FNUMBER );

EXEC P_ALTERPK 'PK_MPS_INTENSIVE_L', 'T_MPS_INTENSIVE_L', 'FPKID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPS_INTENSIVE_L') CREATE INDEX IDX_MPS_INTENSIVE_L ON T_MPS_INTENSIVE_L ( FID ,FLOCALEID );

EXEC P_ALTERPK 'PK_MPS_INTENSIVEENTRY', 'T_MPS_INTENSIVEENTRY', 'FENTRYID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPS_INTENSIVEENTRY') CREATE INDEX IDX_MPS_INTENSIVEENTRY ON T_MPS_INTENSIVEENTRY ( FID ,FSEQ );

EXEC P_ALTERPK 'PK_MPS_MUTEXRULES', 'T_MPS_MUTEXRULES', 'FID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPS_MUTEXRULES') CREATE INDEX IDX_MPS_MUTEXRULES ON T_MPS_MUTEXRULES ( FCREATEORGID ,FNUMBER );

EXEC P_ALTERPK 'PK_MPS_MUTEXRULES_L', 'T_MPS_MUTEXRULES_L', 'FPKID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPS_MUTEXRULES_L') CREATE INDEX IDX_MPS_MUTEXRULES_L ON T_MPS_MUTEXRULES_L ( FID ,FLOCALEID );

EXEC P_ALTERPK 'PK_MPS_MUTEXRULESENTRY', 'T_MPS_MUTEXRULESENTRY', 'FENTRYID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPS_MUTEXRULESENTRY') CREATE INDEX IDX_MPS_MUTEXRULESENTRY ON T_MPS_MUTEXRULESENTRY ( FID ,FSEQ );

EXEC P_ALTERPK 'PK_MPS_MUTEXRULESGROUP', 'T_MPS_MUTEXRULESGROUP', 'FPKID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPS_MUTEXRULESGROUP') CREATE INDEX IDX_MPS_MUTEXRULESGROUP ON T_MPS_MUTEXRULESGROUP ( FENTRYID );

EXEC P_ALTERPK 'PK_MPS_MUTEXRULESRANGE', 'T_MPS_MUTEXRULESRANGE', 'FPKID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPS_MUTEXRULESRANGE') CREATE INDEX IDX_MPS_MUTEXRULESRANGE ON T_MPS_MUTEXRULESRANGE ( FENTRYID );

EXEC P_ALTERPK 'PK_MPS_PROCHANGERULES', 'T_MPS_PROCHANGERULES', 'FID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPS_PROCHANGERULES') CREATE INDEX IDX_MPS_PROCHANGERULES ON T_MPS_PROCHANGERULES ( FCREATEORGID ,FNUMBER );

EXEC P_ALTERPK 'PK_MPS_PROCHANGERULES_L', 'T_MPS_PROCHANGERULES_L', 'FPKID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPS_PROCHANGERULES_L') CREATE INDEX IDX_MPS_PROCHANGERULES_L ON T_MPS_PROCHANGERULES_L ( FID ,FLOCALEID );

EXEC P_ALTERPK 'PK_MPS_PROCHANGERULESENTRY', 'T_MPS_PROCHANGERULESENTRY', 'FENTRYID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPS_PROCHANGERULESENTRY') CREATE INDEX IDX_MPS_PROCHANGERULESENTRY ON T_MPS_PROCHANGERULESENTRY ( FID ,FSEQ );

EXEC P_ALTERPK 'PK_MPS_PROCHANGERULESSUB', 'T_MPS_PROCHANGERULESSUB', 'FPKID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPS_PROCHANGERULESSUB') CREATE INDEX IDX_MPS_PROCHANGERULESSUB ON T_MPS_PROCHANGERULESSUB ( FENTRYID );

EXEC P_ALTERPK 'PK_MPS_PRODUCTIONRULES', 'T_MPS_PRODUCTIONRULES', 'FID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPS_PRODUCTIONRULES') CREATE INDEX IDX_MPS_PRODUCTIONRULES ON T_MPS_PRODUCTIONRULES ( FCREATEORGID ,FNUMBER );

EXEC P_ALTERPK 'PK_MPS_PRODUCTIONRULES_L', 'T_MPS_PRODUCTIONRULES_L', 'FPKID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPS_PRODUCTIONRULES_L') CREATE INDEX IDX_MPS_PRODUCTIONRULES_L ON T_MPS_PRODUCTIONRULES_L ( FID ,FLOCALEID );

EXEC P_ALTERPK 'PK_MPS_PRODUCTIONRULESE', 'T_MPS_PRODUCTIONRULESE', 'FENTRYID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPS_PRODUCTIONRULESE') CREATE INDEX IDX_MPS_PRODUCTIONRULESE ON T_MPS_PRODUCTIONRULESE ( FID ,FSEQ );

EXEC P_ALTERPK 'PK_MPS_PRODUCTIONRULESR', 'T_MPS_PRODUCTIONRULESR', 'FENTRYID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPS_PRODUCTIONRULESR') CREATE INDEX IDX_MPS_PRODUCTIONRULESR ON T_MPS_PRODUCTIONRULESR ( FID ,FSEQ );

EXEC P_ALTERPK 'PK_MPS_PRODUCTIONRULESS', 'T_MPS_PRODUCTIONRULESS', 'FDETAILID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPS_PRODUCTIONRULESS') CREATE INDEX IDX_MPS_PRODUCTIONRULESS ON T_MPS_PRODUCTIONRULESS ( FENTRYID ,FSEQ );

EXEC P_ALTERPK 'PK_MPS_INTGROUP', 'T_MRP_INTGROUP', 'FID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPS_INTGROUP') CREATE INDEX IDX_MPS_INTGROUP ON T_MRP_INTGROUP ( FNUMBER );