IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPS_SCHEDULECALDETAIL')
 CREATE TABLE T_MPS_SCHEDULECALDETAIL (
	FID BIGINT DEFAULT 0 NOT NULL,
	FSCHEDULEPLAN BIGINT DEFAULT 0 NOT NULL,
	FPLS_SCHEME_NAME VARCHAR(50) DEFAULT ' ' NOT NULL,
	FPLSOPERATIONNO VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME
);



IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPS_CALDETAILENTRY')
 CREATE TABLE T_MPS_CALDETAILENTRY (
	FID BIGINT DEFAULT 0 NOT NULL,
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FSEQ INT DEFAULT 0 NOT NULL,
	FSOURCEORDERBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
	FSOURCEORDERTYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
	FSOURCE_ORDER_TYPE_NAME VARCHAR(50) DEFAULT ' ' NOT NULL,
	FMATERIELCODE BIGINT DEFAULT 0 NOT NULL,
	FMATERIEL_NAME VARCHAR(50) DEFAULT ' ' NOT NULL,
	FMODEL VARCHAR(50) DEFAULT ' ' NOT NULL,
	FUNIT BIGINT DEFAULT 0 NOT NULL,
	FPRODUCTIONVERSION BIGINT DEFAULT 0 NOT NULL,
	FECNVERSION BIGINT DEFAULT 0 NOT NULL,
	FWORKCENTRE BIGINT DEFAULT 0 NOT NULL,
	FWORKCENTRENAME VARCHAR(50) DEFAULT ' ' NOT NULL,
	FPROCESSROUTEBILLNO BIGINT DEFAULT 0 NOT NULL,
	FPLSDATE DATETIME,
	FPLANPREPAREDATE DATETIME,
    FORDERTYPE BIGINT DEFAULT 0 NOT NULL,
	FBOM BIGINT DEFAULT 0 NOT NULL,
	FWORKSTARTTIME INT DEFAULT -1 NOT NULL,
	FWORKENDTIME INT DEFAULT -1 NOT NULL,
    FWORKSURPLUS BIGINT DEFAULT 0 NOT NULL,
    FTOTALWORKCENTER BIGINT DEFAULT 0 NOT NULL,
	FORDERINITIALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
	FORDERCALCULATEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
	FWORKPOWERQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
	FWORKPLSQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
	FYIELDRATE DECIMAL(10,2) DEFAULT 0 NOT NULL,
	FYIELDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
	FWORKREMAININGQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
	FORDERREMAININGQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
	FPRODUCTIONORDER BIGINT DEFAULT 0 NOT NULL,
	FWCTIMECONSUMING DECIMAL(23,6) DEFAULT 0 NOT NULL,
	FDATEUNIT VARCHAR(50) DEFAULT ' ' NOT NULL,
	FAVAILABLEDATE DATETIME,
    FGROUPID BIGINT DEFAULT 0 NOT NULL,
	FPRODUCTIONORGID BIGINT DEFAULT 0 NOT NULL,
	FPLSPLANNERID BIGINT DEFAULT 0 NOT NULL,
	FWORKSHOPID BIGINT DEFAULT 0 NOT NULL,
	FWORKSHIFTID BIGINT DEFAULT 0 NOT NULL,
	FMATERIALPLANID BIGINT DEFAULT 0 NOT NULL,
	FPLANTAGSID BIGINT DEFAULT 0 NOT NULL,
	FSOURCEBILLSEQ VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCONFIGURENUM BIGINT DEFAULT 0 NOT NULL,
    FAUXILIARY BIGINT DEFAULT 0 NOT NULL,
	FTRACKNUMBER BIGINT DEFAULT 0 NOT NULL,
	FCARNO VARCHAR(50) DEFAULT ' ' NOT NULL,
	FENABLEPRODUCT DECIMAL(23,10) DEFAULT 0 NOT NULL,
    FSOURCEORDERBILLID BIGINT DEFAULT 0 NOT NULL,
    FSOURCEENTRYID BIGINT DEFAULT 0 NOT NULL,
	FINSTOCKDATE DATETIME,
    FORDERPROORITY INT DEFAULT 0 NOT NULL,
	FEXCEPTION VARCHAR(50) DEFAULT ' ' NOT NULL
);